﻿Imports System.IO

Public Class Form1

    Dim reg As String

    Private Sub mCal_DateSelected(sender As Object, e As DateRangeEventArgs) Handles mCal.DateSelected
        reg = mCal.SelectionRange.Start.Year.ToString & mCal.SelectionRange.Start.Month.ToString & mCal.SelectionRange.Start.Day.ToString
        Try
            If File.Exists(reg & ".txt") = True Then
                AtivaControles()
                txtAgenda.Text = File.ReadAllText(reg & ".txt")
            Else
                If MessageBox.Show("Deseja registrar apontamentos para esta data ?", "Registrar", MessageBoxButtons.YesNo) = Windows.Forms.DialogResult.Yes Then
                    txtAgenda.Text = ""
                    AtivaControles()
                    txtAgenda.Text = "Dia " & mCal.SelectionRange.Start.Day.ToString & " - "
                End If
            End If
        Catch ex As Exception
            MessageBox.Show("Erro " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub
    Private Sub AtivaControles()
        Try
            mCal.Enabled = False
            mCal.Hide()
            txtAgenda.Enabled = True
            txtAgenda.Show()
            btnSalvar.Enabled = True
            btnSalvar.Show()
            btnRetornar.Enabled = True
            btnRetornar.Show()
        Catch
            Throw
        End Try
    End Sub
    Private Sub btnSalvar_Click(sender As Object, e As EventArgs) Handles btnSalvar.Click
        Try
            If txtAgenda.Text = "" Then
                If File.Exists(reg & ".txt") = True Then
                    If MessageBox.Show("Deseja deletar o agendamento registrado para este dia ? ", "Deletar", MessageBoxButtons.YesNo) = Windows.Forms.DialogResult.Yes Then
                        File.Delete(reg & ".txt")
                    End If
                End If
            Else
                If txtAgenda.Text.Length > 0 Then
                    File.WriteAllText(reg & ".txt", txtAgenda.Text)
                    MessageBox.Show("Agendamento registrado com sucesso.", "Agendado", MessageBoxButtons.OK, MessageBoxIcon.Information)
                End If
            End If
        Catch ex As Exception
            MessageBox.Show("Erro " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub btnRetornar_Click(sender As Object, e As EventArgs) Handles btnRetornar.Click
        Try
            txtAgenda.Enabled = False
            txtAgenda.Hide()
            btnSalvar.Enabled = False
            btnSalvar.Hide()
            btnRetornar.Enabled = False
            btnRetornar.Hide()
            mCal.Enabled = True
            mCal.Show()
        Catch ex As Exception
            MessageBox.Show("Erro " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        reg = mCal.SelectionRange.Start.Year.ToString & mCal.SelectionRange.Start.Month.ToString & mCal.SelectionRange.Start.Day.ToString
        Try
            If Date.Today = mCal.TodayDate And File.Exists(reg & ".txt") = True Then

                If MessageBox.Show("Existem registros na Agenda para esta data. Deseja ver ? ", "Ver Agenda", MessageBoxButtons.YesNo) = Windows.Forms.DialogResult.Yes Then
                    AtivaControles()
                    txtAgenda.Text = File.ReadAllText(reg & ".txt")
                End If
            End If
        Catch ex As Exception
            MessageBox.Show("Erro " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub
End Class
